INTERFACE
SUBROUTINE EC_PHYS_DRV(CDCONF,PB2,PPBUP9, PPBVP9, PPBTP9,PPBGFLP9,PEXTRADYN,&
 & PMWAVE_OBS_BUF,PMWAVE_ZEN_BUF,PMWAVE_AZI_BUF,PMWAVE_TB_BUF,PMWAVE_OERR_BUF,&
 & PMWAVE_PERS1_BUF,&
 & PMWAVE_DIAG_BUF,PMWAVE_P19_BUF,PMWAVE_P37_BUF,PMWAVE_GNORM_BUF,&
 & KMWAVE_BUF,&
 & PSMOS_OBS_BUF,PSMOS_TB_BUF,PSMOS_ANGLE,&
 & KSMOS_BUF) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOM_YGFL , ONLY : YGFL, YQ, YO3, YL, YI, YR, YS, YA,&
 & YGHG, YTRAC, YGRG, YAERO, YEXT,&
 & NGHG, NTRAC, NGRG, NAERO, NGFL_EXT 
USE YOMDIM , ONLY : NDGENL ,NFLEVG ,NPROMA ,NGPBLKS, NSMAX
USE YOMGEM , ONLY : NGPTOT, RCOLON ,RSILON ,RINDX ,RINDY
USE YOMDPHY , ONLY : NVEXTRDYN
USE YOMSC2 , ONLY : NFLDSLB2
USE YOMMWAVE , ONLY : N_SATSENS, NMWAVE_DIAG, NMWAVE_GNRM, NMWAVE_P
USE PARMWAVE , ONLY : NMAX_CHAN
USE YOMSMOS , ONLY : NPOL_MAX
CHARACTER ,INTENT(IN) :: CDCONF
REAL(KIND=JPRB) ,INTENT(INOUT) :: PB2(NPROMA,NFLDSLB2,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(IN) :: PPBUP9(NPROMA,NFLEVG,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(IN) :: PPBVP9(NPROMA,NFLEVG,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(IN) :: PPBTP9(NPROMA,NFLEVG,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PPBGFLP9(NPROMA,NFLEVG,YGFL%NUMFLDS,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(IN) :: PMWAVE_OBS_BUF(NGPTOT,NMAX_CHAN,N_SATSENS)
REAL(KIND=JPRB) ,INTENT(IN) :: PMWAVE_AZI_BUF(NGPTOT,N_SATSENS)
REAL(KIND=JPRB) ,INTENT(IN) :: PMWAVE_ZEN_BUF(NGPTOT,N_SATSENS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMWAVE_TB_BUF(NGPTOT,NMAX_CHAN,N_SATSENS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMWAVE_OERR_BUF(NGPTOT,NMAX_CHAN,N_SATSENS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMWAVE_PERS1_BUF(NGPTOT,NMAX_CHAN,N_SATSENS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMWAVE_DIAG_BUF(NGPTOT,NMWAVE_DIAG,N_SATSENS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMWAVE_P19_BUF(NGPTOT,NMWAVE_P,N_SATSENS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMWAVE_P37_BUF(NGPTOT,NMWAVE_P,N_SATSENS)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KMWAVE_BUF(NGPTOT,NMAX_CHAN,N_SATSENS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMWAVE_GNORM_BUF(NGPTOT,NMWAVE_GNRM,N_SATSENS)
REAL(KIND=JPRB) ,INTENT(IN) :: PEXTRADYN(NPROMA,NFLEVG,NVEXTRDYN,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(IN) :: PSMOS_OBS_BUF(NGPTOT,0:NPOL_MAX-1)
REAL(KIND=JPRB) ,INTENT(IN) :: PSMOS_ANGLE(NGPTOT,0:NPOL_MAX-1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSMOS_TB_BUF(NGPTOT,0:NPOL_MAX-1)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KSMOS_BUF(NGPTOT,0:NPOL_MAX-1)
END SUBROUTINE EC_PHYS_DRV
END INTERFACE
